# This file is a template, and might need editing before it works on your project.
# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Getting-Started.gitlab-ci.yml

# This is a sample GitLab CI/CD configuration file that should run without any modifications.
# It demonstrates a basic 3 stage CI/CD pipeline. Instead of real tests or scripts,
# it uses echo commands to simulate the pipeline execution.
#
# A pipeline is composed of independent jobs that run scripts, grouped into stages.
# Stages run in sequential order, but jobs within stages run in parallel.
#
# For more information, see: https://docs.gitlab.com/ee/ci/yaml/index.html#stages

# LaTeX pipeline adopted from:
# https://blog.martisak.se/2020/05/11/gitlab-ci-latex-pipeline/

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

stages:          # List of stages for jobs, and their order of execution
  - build

#build-job:       # This job runs in the build stage, which runs first.
#  stage: build
#  script:
#    - echo "Compiling the code..."
#    - echo "Compile complete."

compile:
  image: martisak/texlive:2022
  stage: build
  script:
    - cd tex
    - make pdf
  #dependencies:
  #  - figures
  artifacts:
    untracked: true
    expire_in: 1 week
  when: on_success

# cache all auxilliary files to speed up compilation
cache:
  untracked: true
  #key: "$CI_BUILD_NAME"
  key: "$CI_JOB_STAGE-$CI_COMMIT_REF_SLUG"
  paths:
    - .cache/pip
    - venv/
  


